| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
BookmarkData Interface Reference
PDFViewCtrl » bookmark

Represents a bookmark entry in the document. More...

## Public Attributes
BookmarkData [] | children
| Child bookmarks of the current bookmark (optional). More...
string | color
| Color associated with the bookmark. More...
number | deep
| Depth level of the bookmark in the hierarchy. More...
boolean | hasChild
| Indicates if the bookmark has child bookmarks. More...
number | id
| Unique identifier for the bookmark. More...
boolean | isBold
| Indicates if the bookmark text is bold. More...
boolean | isItalic
| Indicates if the bookmark text is italicized. More...
number | left
| Horizontal position of the bookmark on the page. More...
number | page
| Page number associated with the bookmark (optional). More...
string | title
| Title of the bookmark. More...
number | top
| Vertical position of the bookmark on the page. More...
number | zoomFactor
| The zoom factor. (Optional) More...
ZoomMode | zoomMode
| The zoom mode of destination (Optional) More...

## Detailed Description

Represents a bookmark entry in the document.

Since
  10.0.0

## Member Data Documentation

## ◆ children

BookmarkData [] BookmarkData::children

Child bookmarks of the current bookmark (optional).

Since
  10.0.0

## ◆ color

string BookmarkData::color

Color associated with the bookmark.

Since
  10.0.0

## ◆ deep

number BookmarkData::deep

Depth level of the bookmark in the hierarchy.

Since
  10.0.0

## ◆ hasChild

boolean BookmarkData::hasChild

Indicates if the bookmark has child bookmarks.

Since
  10.0.0

## ◆ id

number BookmarkData::id

Unique identifier for the bookmark.

Since
  10.0.0

## ◆ isBold

boolean BookmarkData::isBold

Indicates if the bookmark text is bold.

Since
  10.0.0

## ◆ isItalic

boolean BookmarkData::isItalic

Indicates if the bookmark text is italicized.

Since
  10.0.0

## ◆ left

number BookmarkData::left

Horizontal position of the bookmark on the page.

Since
  10.0.0

Deprecated:
  Since 11.1.0, use BookmarkDataService.getBookmarkDestination to get the left position.

## ◆ page

number BookmarkData::page

Page number associated with the bookmark (optional).

Since
  10.0.0

Deprecated:
  Since 11.1.0, use BookmarkDataService.getBookmarkDestination to get the page number.

## ◆ title

string BookmarkData::title

Title of the bookmark.

Since
  10.0.0

## ◆ top

number BookmarkData::top

Vertical position of the bookmark on the page.

Since
  10.0.0

Deprecated:
  Since 11.1.0, use BookmarkDataService.getBookmarkDestination to get the top position.

## ◆ zoomFactor

number BookmarkData::zoomFactor

The zoom factor. (Optional)

Note
  This option is only useful when zoomMode is BookmarkZoomMode.ZoomXYZ.

Since
  10.0.0

Deprecated:
  Since 11.1.0, use BookmarkDataService.getBookmarkDestination to get the zoom factor.

## ◆ zoomMode

ZoomMode BookmarkData::zoomMode

The zoom mode of destination (Optional)

Since
  10.0.0

Deprecated:
  Since 11.1.0, use BookmarkDataService.getBookmarkDestination to get the zoom mode.

@2026 Foxit Software Incorporated. All rights reserved.